\documentclass{standalone}
\usepackage{pgfplots}

\usepackage{efbox,graphicx}
\efboxsetup{linecolor=black,linewidth=2pt}

\pgfplotsset{compat=1.8}

\begin{document}

\begin{tikzpicture}

    \def\w{15};    % width of axes
    
    % First Step
    \draw[-, dashed] (1,4) -- (3,1);
    \fill (1,4) circle[radius=2pt];
    \fill (3,1) circle[radius=2pt];
    \node[anchor=above] at (1,4) {\large $t_A$};
    \node[anchor=below] at (3,1) {\large $t_B$};


    %Arrow
    \draw[-stealth, thick] (3,2.5) -- (5,2.5);
    \node[] at (4,2.8) {\footnotesize First Iteration};

    % Second Step
    \fill (5,4) circle[radius=2pt];
    \fill (7,1) circle[radius=2pt];
    \fill (6,3) circle[radius=2pt];
    \node[anchor=above] at (5,4) {\large $t_A$};
    \node[anchor=below] at (7,1) {\large $t_B$};
    \node[anchor=below] at (6,3) {\large $t_1$};

    \draw[-, dashed] (5,4) -- (6,3) -- (7,1);

    %Arrow
    \draw[-stealth, thick] (7,2.5) -- (9,2.5);
    \node[] at (8,2.8) {\footnotesize Second Iteration};

    %Third Step
    \fill (9,4) circle[radius=2pt];
    \fill (11,1) circle[radius=2pt];
    \fill (10,3) circle[radius=2pt];
    \fill (10.3,3.6) circle[radius=2pt];
    \fill (9.7,1.7) circle[radius=2pt];

    \node[anchor=above] at (9,4) {\large $t_A$};
    \node[anchor=below] at (11,1) {\large $t_B$};
    \node[anchor=below] at (10,3) {\large $t_1$};
    \node[anchor=below] at (10.9,3.6) {\large $t_2$};
    \node[anchor=below] at (9.7,1.7) {\large $t_3$};

    \draw[-, dashed] (9,4)  -- (10.3,3.6) -- (10,3)-- (9.7,1.7) -- (11,1);




    % % grid
    % \draw[black,thin, color=gray, opacity=0.0] (0,0) grid (15,5);
    % \draw[step=\w/\n/4,black,thin, color=gray, opacity=0.25] (0,0) grid (\w*1.03,1.75*\w/\n);
    % % \draw[thick] (-\w*0.03,0) rectangle (\w*1.03,1.75*\w/\n);

    % % axis
    % \draw[-, thick] (-\w*0.03,0) -- (\w*1.03,0);
    % \draw[-{stealth[scale=4]}, line width=.6mm, align=left] (0,0-.4) -- (0,7);
    % \draw[-{stealth[scale=4]}, line width=.6mm] (-\w*0.03-.1,0) -- (\w*1.03+.3,0);

    % \node[rotate=90, align=center] at (-.8,5) {\large Qualitative \\ \large Function Value};

    % % ticks
    % \foreach \tick in {0,1,...,\n}{
    %     \def\x{{\tick*\w/\n}}
    %     \draw[ultra thick] (\x,\lt) -- (\x,-\lt/2); % ten tick
    
    %     \ifnum \tick<\n
    %     % \draw[thick] ({(\x+\w/\n/2)},0) -- ({(\x+\w/\n/2)},\lf); % five tick
    %     \foreach \ticko in {1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20}{
    %         \def\xo{{(\x+\ticko*\w/\n/20)}}
    %         \draw[thick] (\xo,0) -- (\xo,\lo);  % one tick
    %     }\fi
    % }

    % % interpolation function
    % \draw[-,very thick,dotted,blue] plot [smooth, tension=1] coordinates { (0,3) (\w/\n,2) (2*\w/\n,5) (3*\w/\n,4) (4*\w/\n,5.5)};
    % % real function
    % \draw[-,thick, red] plot [smooth, tension=0] coordinates { (0,3) (\w/\n,2) (2*\w/\n,5) (3*\w/\n,4) (4*\w/\n,5.5)};

    % %interpolation condition
    % \foreach \Point in {(0,3), (\w/\n,2), (2*\w/\n,5), (3*\w/\n,4), (4*\w/\n,5.5)}{
    %     \node[scale=2] at \Point {\textbullet};
    % }

    % % label
    % \node at (2*\w/\n,-0.5cm) {\large Parameter Space};


\end{tikzpicture}
\end{document}
